Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractDependencyMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractDependencyMetaData

All Implemented Interfaces:
  Cloneable, DependencyMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class AbstractDependencyMetaData
extends org.jboss.util.JBossObject
implements DependencyMetaData

A dependency.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Nested Class Summary
`class` | `AbstractDependencyMetaData.LifecycleDependencyItem` A LifecycleDependencyItem.

Field Summary
`protected Object` | `dependency` The dependency

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractDependencyMetaData()` Create a new dependency
`AbstractDependencyMetaData(Object dependency)` Create a new dependency

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`Object` | `getDependency()` What is the dependency
`void` | `setDependency(Object dependency)` Set the dependency
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### dependency

    protected Object dependency

  The dependency

Constructor Detail

### AbstractDependencyMetaData

    public AbstractDependencyMetaData()

  Create a new dependency

### AbstractDependencyMetaData

    public AbstractDependencyMetaData(Object dependency)

  Create a new dependency

Parameters:
  `dependency` - the dependency

Method Detail

### setDependency

    public void setDependency(Object dependency)

  Set the dependency

  Parameters:
    `dependency` - the dependency

### getDependency

    public Object getDependency()

  Description copied from interface: `DependencyMetaData`
  What is the dependency

  Specified by:
    `getDependency` in interface `DependencyMetaData`
  Returns:
    the dependency

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Parameters:
    `visitor` - the visitor

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Returns:
    Iterator or null if there aren't any

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.